      *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)
      *_> DLTMOD MODULE(@5/@4)
      *_> CRTSQLRPGI OBJ(@5/@4) +
      *_>   SRCFILE(@2/@1) SRCMBR(@3) +
      *_>   OBJTYPE(*MODULE) +
      *_>   DBGVIEW(*SOURCE)
      * ---------------------------------------------------------------
      * Module.: XVSETO_M01           Project.....:
      * Author.: A. Campin            Date written: 07/07/2005
      * Purpose: Update QAQQINI (SQL Query Options) file in QTEMP.
      * ---------------------------------------------------------------
      * Called by: XVSETO
      * ---------------------------------------------------------------
      * Revision history:
      *  Project # Pgmr        Date   Desc
      *
      * End Revision History
      * ---------------------------------------------------------------
     h NoMain

      /copy *libl/qsrcf,cb_std_con
      /copy *libl/qsrcf,cb_stdtype
      /copy *libl/qsrcf,xvseto_pr

      *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
      * SETO_SetSqlOption
      *   Function is responsible for updating an option in QAQQINI passed
      *     to the function.
      *       In     Parms - Option Name
      *                      Value to change option to
      *       In/Out Parms - None
      *       Out    Parms - None
      *       Return       - None
      *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
     p SETO_SetSqlOption...
     p                 b                   Export
     d                 pi
     d   InOptionName...
     d                              256a   Varying
     d   InOptionValue...
     d                              256a   Varying
     d   InNameNull...
     d                                     Like(StdIntSml)
     d   InValueNull...
     d                                     Like(StdIntSml)
     d   OutSQLState...
     d                                     Like(StdSQLState)
     d   InFunctionName...
     d                              139a   Varying
     d   InSpecificName...
     d                              128a   Varying
     d   OutDiagnosticMessage...
     d                               70a   Varying

     d CreateDuplicate...
     d                 pr                  ExtProc('XVSETO_M02')

     d ChangeQueryPointer...
     d                 pr                  ExtProc('XVSETO_M03')
      /Free

       // Create copy of QAQQINI in QTEMP.
       CreateDuplicate();

       Exec Sql Update QTEMP/QAQQINI
                  Set QQVAL = :InOptionValue
                  Where QQPARM = :InOptionName;

       Select;
         When SQLSTATE = cSqlStateOk;
           ChangeQueryPointer();
           Return;
         When SQLSTATE = cSqlStateNoRow;
         Other;
       EndSl;

      /End-Free
     p                 e
